> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kryptonfund.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Memories Get

> Get the memories data for a user.
Returns condensed memories from Firebase and current session memories from local storage.

Query parameters:
- user_id: User ID to fetch memories for (required)
- session_id: Session ID to fetch current session memories (optional, if not provided returns empty current_session_memories)



## OpenAPI

````yaml /api-reference/krypton_clark.json get /api/v1/agents/memories
openapi: 3.1.0
info:
  title: Krypton Strands Orchestrator
  description: Multi-agent orchestration service powered by strands.
  version: 0.1.0
servers:
  - url: https://agent.kryptonfund.com/
    description: Production API
  - url: http://127.0.0.1:8002
    description: Local API
security: []
paths:
  /api/v1/agents/memories:
    get:
      summary: Get User Memories Get
      description: >-
        Get the memories data for a user.

        Returns condensed memories from Firebase and current session memories
        from local storage.


        Query parameters:

        - user_id: User ID to fetch memories for (required)

        - session_id: Session ID to fetch current session memories (optional, if
        not provided returns empty current_session_memories)
      operationId: get_user_memories_get_api_v1_agents_memories_get
      parameters:
        - name: user_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: User Id
        - name: session_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Session Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````